### Method

# Aravis GvDevice auto_packet_size

since: 0.6.0

#### Declaration [src]

    guint
    arv_gv_device_auto_packet_size (
      ArvGvDevice* gv_device
      GError** error
    )

#### Description [src]

Automatically determine the biggest packet size that can be used data streaming, and set ArvGevSCPSPacketSize value accordingly. This function relies on the GevSCPSFireTestPacket feature.

Available since: 0.6.0

#### Return value

Type: `guint`

The automatic packet size, in bytes, or the current one if GevSCPSFireTestPacket is not supported.